
<script setup lang="ts">
import { useCheckStockStore } from '@/stores/checkstock';
import { ref } from 'vue';


const checkStockStore = useCheckStockStore()
const dialogP = ref(false)
const c = checkStockStore.checkStock
function openDialog(){

  console.log('Log c',c);
  checkStockStore.logGG()
    console.log("In History",checkStockStore.checkStock.stock);
    checkStockStore.dialogP =!checkStockStore.dialogP
}
</script>
<template>
     <v-dialog
      v-model="checkStockStore.dialogHistory"
      fullscreen
      :scrim="false"
      transition="dialog-bottom-transition"
    >
      <v-card>
        <v-toolbar
          dark
          color="primary"
        >
          <v-btn
            icon
            dark
            @click="checkStockStore.dialogHistory = !checkStockStore.dialogHistory"
          >
            <v-icon>mdi-close</v-icon>
          </v-btn>
          <v-toolbar-title>Check Stock</v-toolbar-title>
          <v-spacer></v-spacer>
          
        </v-toolbar>
        
        <v-container>
        <v-row>
            <v-sheet width="1250" height="500" class="overflow-auto" >
      <v-table>
        <thead>
            <tr>
             
                <th>ID</th>
                <th>User</th>
                <th>Create Date</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item,index) of checkStockStore.checkStocks" :key="item.id"> 
                <td>{{index+1}}</td>
                <td>{{ item.user?.fullname}}</td>
                <td>{{item.createDate}}</td>
               
                <td>  <v-icon
        size="small"
        class="me-2"
       @click="openDialog()"
      >
        mdi-eye
      </v-icon></td>
                
            </tr>
        </tbody>
    </v-table>
  </v-sheet>
        </v-row>
       </v-container>
      </v-card>
     </v-dialog>

<!-- Dialog โชว์ทั้งหมด -->
     <v-dialog
      v-model="checkStockStore.dialogP"
      fullscreen
      :scrim="false"
      transition="dialog-bottom-transition"
    >
      <v-card>
        <v-toolbar
          dark
          color="primary"
        >
          <v-btn
            icon
            dark
            @click="checkStockStore.dialogP= !checkStockStore.dialogP"
          >
            <v-icon>mdi-close</v-icon>
          </v-btn>
          <v-toolbar-title>Print Stock</v-toolbar-title>
          <v-spacer></v-spacer>
          
        </v-toolbar>
        
       <v-container>
         <v-row>
          <v-sheet width="1300" height="110" >
        <div>ผู้ตรวจนับ:{{checkStockStore.newCheck?.user?.fullname}}</div>
        <div>วันที่:{{checkStockStore.textDate[0]}} เวลา {{checkStockStore.textDate[1]}}</div>
        </v-sheet>

        </v-row >
         <v-row no-gutters>
          <v-sheet width="1250" height="800" >
            <div style="font-size: 20pt; text-align: center;">Check Stock</div>
            <!-- <v-data-table 
            :headers="headers"
            :items="stockStore.stockItems"
            
            >
            <template v-slot:[`item.amount`]>
                 <v-text-field>
            
               
                 </v-text-field>
    </template>
    
            </v-data-table> -->
           <v-table>
            <thead>
            <tr>
                <th>ProductID</th>
                <th>ProuductName</th>
                <th>Minimum</th>
                <th>Balance</th>
                <th>Unit</th>
                <th>Amount</th>
               
            </tr>
        </thead>
        <tbody v-if="c.stock">
            <tr v-for="(item,index) of c.stock!" :key="item.id"> 
                <td>{{ index + 1 }}</td>
                <td>{{console.log(item.name!)}}</td>
                <td>{{ item.minimum! }}</td>
                <td>{{ item.balance!}}</td>
                <td>{{ item.unit! }}</td>
                <!-- <td>{{checkStockStore.checkStocks[index].amount}}</td> -->
            </tr>
        </tbody>
    </v-table>
          </v-sheet>
    
         </v-row> 
         
       </v-container>
       
       
      </v-card>
    </v-dialog>
 

</template>

<style>
.dialog-bottom-transition-enter-active,
.dialog-bottom-transition-leave-active {
  transition: transform .2s ease-in-out;
}
</style>